package jp.terasoluna.batch.functionsample.b003;

/**
 * BatchEntryServiceで使用する出力クラス<br>
 * 処理を行ったジョブシステムコードと、処理結果を終了コードとして保持します。<br>
 * このクラスのGetterを使用して、処理結果を取得します。
 */
public class BatchEntryResult {

	/**
	 * フィールド [jobSysCd]
	 * 
	 * 項目の型 [java.lang.String]<br>
	 * ジョブシステムコード
	 */
	private String jobSysCd;

	/**
	 * フィールド [endCode]
	 * 
	 * 項目の型 [java.lang.Integer]<br>
	 * 終了コード
	 */
	private Integer endCode;

	/**
	 * @return the jobSysCd
	 */
	public String getJobSysCd() {
		return jobSysCd;
	}

	/**
	 * @param jobSysCd
	 *            the jobSysCd to set
	 */
	public void setJobSysCd(String jobSysCd) {
		this.jobSysCd = jobSysCd;
	}

	/**
	 * @return the endCode
	 */
	public Integer getEndCode() {
		return endCode;
	}

	/**
	 * @param endCode
	 *            the endCode to set
	 */
	public void setEndCode(Integer endCode) {
		this.endCode = endCode;
	}

	/**
	 * このバリューオブジェクトの文字列表現を取得します。
	 * 
	 * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
	 * 
	 * @return バリューオブジェクトの文字列表現。
	 */
	public String toString() {
		final StringBuffer buf = new StringBuffer();
		buf.append("BatchEntryResult[");
		buf.append("jobSysCd=" + jobSysCd);
		buf.append(",endCode=" + endCode);
		buf.append("]");
		return buf.toString();
	}
}
